Last Comment Bug 603490 - Crash [@ ClearAllTextRunReferences]
: Crash [@ ClearAllTextRunReferences]
Status: RESOLVED FIXED
: assertion, crash, regression, testcase
Product: Core
Classification: Components
Component: Layout: Text (show other bugs)
: Trunk
: x86 Mac OS X
: -- critical (vote)
: ---
Assigned To: Mats Palmgren (:mats)
:
Mentors:
Depends on:
Blocks: 336383 571995
  Show dependency treegraph
 
Reported: 2010-10-11 16:06 PDT by Jesse Ruderman
Modified: 2011-06-09 14:58 PDT (History)
3 users (show)
mats: in‑testsuite+
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.13+
.13-fixed
.16+
.16-fixed


Attachments
testcase (may leak/crash?) (592 bytes, text/html)
2010-10-11 16:06 PDT, Jesse Ruderman
no flags Details
stack traces (10.60 KB, text/plain)
2010-10-11 16:06 PDT, Jesse Ruderman
no flags Details

Description Jesse Ruderman 2010-10-11 16:06:38 PDT
Created attachment 482386 [details]
testcase (may leak/crash?)

###!!! ASSERTION: Unexpected start frame in simple flow text run: 'f != oldTextRun->GetUserData()', file layout/generic/nsTextFrameThebes.cpp, line 1981

Crash during shutdown [@ ClearAllTextRunReferences]
Comment 1 Jesse Ruderman 2010-10-11 16:06:58 PDT
Created attachment 482387 [details]
stack traces
Comment 2 Jesse Ruderman 2010-10-11 17:08:13 PDT
Bug 603510 has a saner testcase (no Editor) and triggers a related assertion.
Comment 3 Mats Palmgren (:mats) 2010-10-12 09:44:06 PDT
Fixed by backing out:
http://hg.mozilla.org/mozilla-central/rev/9af1a5813a7b
Comment 4 Jesse Ruderman 2010-10-15 13:47:53 PDT
Crashtest: http://hg.mozilla.org/mozilla-central/rev/783057552c51
Comment 5 Daniel Veditz [:dveditz] 2010-11-10 10:46:14 PST
Marking this regression a branch blocker for qa verification because bug 571995 is a blocker.

Note You need to log in before you can comment on or make changes to this bug.